GenerationMethodNotSupportedException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class GenerationMethodNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.GenerationMethodNotSupportedException

- All Implemented Interfaces:
    Serializable, MAJException, NewForMAJ

      public class GenerationMethodNotSupportedException
      extends RuntimeException
      implements MAJException, NewForMAJ

  Thrown when the generation of a package id is requested with a kind of generation method that is not supported.

  No equivalent C result code.

  See Also:
    `MaterialNumberGeneration`, `PackageID`, `Forge.generatePackageID(tv.amwa.maj.enumeration.MaterialType, tv.amwa.maj.record.InstanceNumberGeneration, tv.amwa.maj.record.MaterialNumberGeneration)`, `Forge.generatePackageID(tv.amwa.maj.enumeration.MaterialType, tv.amwa.maj.record.InstanceNumberGeneration, tv.amwa.maj.record.MaterialNumberGeneration, tv.amwa.maj.record.AUID)`, `Forge.generatePackageID(tv.amwa.maj.enumeration.MaterialType, tv.amwa.maj.record.InstanceNumberGeneration, tv.amwa.maj.record.MaterialNumberGeneration, byte[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerationMethodNotSupportedException()` Create a new generation method not supported exception with no message.
    `GenerationMethodNotSupportedException(String msg)` Create a new generation method not supported exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerationMethodNotSupportedException

          public GenerationMethodNotSupportedException(String msg)

      Create a new generation method not supported exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### GenerationMethodNotSupportedException

          public GenerationMethodNotSupportedException()

      Create a new generation method not supported exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.